<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.BaseEmployeeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.BaseEmployee">
        <id column="id" property="id" />
        <result column="employee_num" property="employeeNum" />
        <result column="employee_name" property="employeeName" />
        <result column="employee_type" property="employeeType" />
        <result column="department_num" property="departmentNum" />
        <result column="department_name" property="departmentName" />
        <result column="gender" property="gender" />
        <result column="blood_type" property="bloodType" />
        <result column="id_card" property="idCard" />
        <result column="transfer_account" property="transferAccount" />
        <result column="marriage" property="marriage" />
        <result column="position" property="position" />
        <result column="bank_num" property="bankNum" />
        <result column="birthday" property="birthday" />
        <result column="employment_date" property="employmentDate" />
        <result column="departure_date" property="departureDate" />
        <result column="place_origin" property="placeOrigin" />
        <result column="contact_person" property="contactPerson" />
        <result column="contact_phone" property="contactPhone" />
        <result column="contact_addr" property="contactAddr" />
        <result column="register_address" property="registerAddress" />
        <result column="phone" property="phone" />
        <result column="mail" property="mail" />
        <result column="experience" property="experience" />
        <result column="qualification" property="qualification" />
        <result column="remark1" property="remark1" />
        <result column="remark2" property="remark2" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, employee_num, employee_name, employee_type, department_num, department_name, gender, blood_type, id_card, transfer_account, marriage, position, bank_num, birthday, employment_date, departure_date, place_origin, contact_person, contact_phone, contact_addr, register_address, phone, mail, experience, qualification, remark1, remark2, create_by, create_time, update_by, update_time
    </sql>

</mapper>
